> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Applicant Event: Propertyware

POST https://api.propexo.com/v1/events/applicants/propertyware/
Content-Type: application/json

Create Applicant Event: Propertyware| Method              |
| ------------------- |
| attachNoteToContact |Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Reference: https://docs.propexo.com/api-reference/propertyware-soap/events/create-applicant-event-propertyware

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_events_applicants_propertyware__post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `applicant_id` (string, required) — The Propexo unique identifier for the applicant
- `notes` (string, required) — Notes associated with the event
- `event_name` (string, required) — The name or type of event
- `event_datetime` (string, optional) — The date when the event will occur

## Response

### 200

Successful response

- `meta` (V1EventsApplicantsPropertywarePostOutputMeta, required)
- `result` (V1EventsApplicantsPropertywarePostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1EventsApplicantsPropertywarePostOutputMeta

- `job_id` (string, required)

### V1EventsApplicantsPropertywarePostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `applicant_id` (string, required) — The Propexo unique identifier for the applicant
- `notes` (string, required) — Notes associated with the event
- `event_name` (string, required) — The name or type of event
- `event_datetime` (string, required, nullable) — The date when the event will occur

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

## Examples

**Request**

```json
{
  "integration_id": "propwx-987654321",
  "applicant_id": "applicant-123456789",
  "notes": "Applicant submitted all required documents and completed background check.",
  "event_name": "Background Check Completed"
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job-20240615-001"
  },
  "result": {
    "integration_id": "propwx-987654321",
    "applicant_id": "applicant-123456789",
    "notes": "Applicant submitted all required documents and completed background check.",
    "event_name": "Background Check Completed",
    "event_datetime": "2024-06-15T09:30:00Z"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/events/applicants/propertyware/"

payload = {
    "integration_id": "propwx-987654321",
    "applicant_id": "applicant-123456789",
    "notes": "Applicant submitted all required documents and completed background check.",
    "event_name": "Background Check Completed"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/events/applicants/propertyware/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"propwx-987654321","applicant_id":"applicant-123456789","notes":"Applicant submitted all required documents and completed background check.","event_name":"Background Check Completed"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/events/applicants/propertyware/"

	payload := strings.NewReader("{\n  \"integration_id\": \"propwx-987654321\",\n  \"applicant_id\": \"applicant-123456789\",\n  \"notes\": \"Applicant submitted all required documents and completed background check.\",\n  \"event_name\": \"Background Check Completed\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/events/applicants/propertyware/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"propwx-987654321\",\n  \"applicant_id\": \"applicant-123456789\",\n  \"notes\": \"Applicant submitted all required documents and completed background check.\",\n  \"event_name\": \"Background Check Completed\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/events/applicants/propertyware/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"propwx-987654321\",\n  \"applicant_id\": \"applicant-123456789\",\n  \"notes\": \"Applicant submitted all required documents and completed background check.\",\n  \"event_name\": \"Background Check Completed\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/events/applicants/propertyware/', [
  'body' => '{
  "integration_id": "propwx-987654321",
  "applicant_id": "applicant-123456789",
  "notes": "Applicant submitted all required documents and completed background check.",
  "event_name": "Background Check Completed"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/events/applicants/propertyware/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"propwx-987654321\",\n  \"applicant_id\": \"applicant-123456789\",\n  \"notes\": \"Applicant submitted all required documents and completed background check.\",\n  \"event_name\": \"Background Check Completed\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "propwx-987654321",
  "applicant_id": "applicant-123456789",
  "notes": "Applicant submitted all required documents and completed background check.",
  "event_name": "Background Check Completed"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/events/applicants/propertyware/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```